import type { Component } from "vue";
type Action = {
    label: string;
    icon?: string | Component | Function;
    onClick?: () => void;
};
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    icon: {
        type: import("vue").PropType<string | Function | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>>;
    };
    title: {
        type: import("vue").PropType<string>;
        required: true;
    };
    closeButton: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    open: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    variant: {
        type: import("vue").PropType<"default" | "notification">;
        default: string;
    };
    closeOnAction: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    actions: {
        type: import("vue").PropType<Action[]>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    close: (action?: Action | undefined) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    icon: {
        type: import("vue").PropType<string | Function | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>>;
    };
    title: {
        type: import("vue").PropType<string>;
        required: true;
    };
    closeButton: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    open: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    variant: {
        type: import("vue").PropType<"default" | "notification">;
        default: string;
    };
    closeOnAction: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    actions: {
        type: import("vue").PropType<Action[]>;
    };
}>> & {
    onClose?: ((action?: Action | undefined) => any) | undefined;
}, {
    closeButton: boolean;
    open: boolean;
    variant: "default" | "notification";
    closeOnAction: boolean;
}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
